
QGIS Application - Bug report #19665

QGIS 3.2.1 and 3.2.2 - crashing while 3D rendering

2018-08-21 08:41 PM - Stanislav Dusek

Status: Closed

Priority: High

Assignee:

Category: 3D

Affected QGIS version:3.2.2 Regression?: No

Operating System: Windows 10 Easy fix?: No

Pull Request or Patch supplied:No Resolution: duplicate

Crashes QGIS or corrupts data:Yes Copied to github as #: 27490

Description

Whenever I try to render features on 3D map, QGIS crashes. The 3D map works ok until I set 3D rendering for a layer.

User Feedback

Report Details

Crash ID: 5bf10352ae4074da4522f52a411c22f3b5784af7

Stack Trace

DrvGetLayerPaletteEntries :

DrvGetLayerPaletteEntries :

DrvGetLayerPaletteEntries :

DrvGetLayerPaletteEntries :

DrvGetLayerPaletteEntries :

DrvGetLayerPaletteEntries :

Qt3DRender::Render::Renderer::performDraw :

Qt3DRender::Render::Renderer::executeCommandsSubmission :

Qt3DRender::Render::Renderer::submitRenderViews :

Qt3DRender::Render::Renderer::doRender :

Qt3DRender::Render::Renderer::render :

Qt3DRender::Render::NodeManagers::renderTargetManager :

QThread::start :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.2.1-Bonn

QGIS code revision: commit:1edf372fb8

Compiled against Qt: 5.9.2

Running against Qt: 5.9.2

Compiled against GDAL: 2.2.4

Running against GDAL: 2.2.4

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 10.0.14393

Related issues:

Duplicates QGIS Application - Bug report # 17315: 3D Viewer: QGIS Crash when ... Feedback 2017-10-22

History

#1 - 2018-08-22 09:46 AM - Giovanni Manghi
- Priority changed from Normal to High

#2 - 2018-11-06 01:51 AM - Martin Dobias

- Duplicates Bug report #17315: 3D Viewer: QGIS Crash when activating 3D Map view and 3D renderer added

#3 - 2018-11-06 01:52 AM - Martin Dobias

Closing as a duplicate as the symptoms and backtrace are the same as in #17315

#4 - 2018-11-06 01:52 AM - Martin Dobias

- Resolution set to duplicate

- Status changed from Open to Closed
